Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class TvAccountRuntimeMap

java.lang.Object
ru.bitel.bgbilling.modules.tv.server.runtime.TvAccountRuntimeMap

All Implemented Interfaces:
  `ru.bitel.bgbilling.kernel.application.server.CommandListener`, `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class TvAccountRuntimeMap extends Object implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>, ru.bitel.bgbilling.kernel.application.server.CommandListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvAccountRuntimeMap(int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap, Date dateFrom)`
  `TvAccountRuntimeMap(int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap, Date dateFrom, TvApplication tvApplication)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TvAccountRuntime`
  `addRuntime(ConnectionSet connectionSet, TvAccount tvAccount)`
  `String`
  `executeCommand(String cmd, String param)`
  `TvAccountRuntime`
  `get(Integer id)`
  Получение по id TvAccount
  `TvAccountRuntime`
  `getByUsername(String username, Date date)`
  Получение tvAccount по логину
  `String`
  `getCommandsHelp()`
  `TvAccount`
  `getTvAccount(Integer id)`
  `List<TvAccountRuntime>`
  `list(int contractId)`
  `List<TvAccountRuntime>`
  `list(Integer contractId, long millis)`
  `List<TvAccountRuntime>`
  `listChildren(Integer id)`
  `List<TvAccountRuntime>`
  `listChildren(Integer id, long millis)`
  `void`
  `load(TvApplication application, ConnectionSet connectionSet)`
  `void`
  `load(ConnectionSet connectionSet, int contractId)`
  `TvAccountRuntime`
  `newRuntime(ConnectionSet connectionSet, TvAccount newTvAccount)`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`
  `String`
  `toString()`
  `Iterable<TvAccountRuntime>`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TvAccountRuntimeMap

    public TvAccountRuntimeMap(int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap, Date dateFrom) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### TvAccountRuntimeMap

    public TvAccountRuntimeMap(int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntimeMap contractRuntimeMap, Date dateFrom, TvApplication tvApplication) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### load

    public void load(TvApplication application, ConnectionSet connectionSet) throws Exception
    Throws:
      `Exception`

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `Exception`

  - ### addRuntime

    public TvAccountRuntime addRuntime(ConnectionSet connectionSet, TvAccount tvAccount)

  - ### load

    public void load(ConnectionSet connectionSet, int contractId) throws Exception
    Throws:
      `Exception`

  - ### newRuntime

    public TvAccountRuntime newRuntime(ConnectionSet connectionSet, TvAccount newTvAccount) throws Exception
    Throws:
      `Exception`

  - ### getTvAccount

    public TvAccount getTvAccount(Integer id)

  - ### get

    public TvAccountRuntime get(Integer id)
    Получение по id TvAccount
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listChildren

    public List<TvAccountRuntime> listChildren(Integer id)

  - ### listChildren

    public List<TvAccountRuntime> listChildren(Integer id, long millis)

  - ### getByUsername

    public TvAccountRuntime getByUsername(String username, Date date) throws ru.bitel.bgbilling.common.BGException
    Получение tvAccount по логину
    Parameters:
      `username` -
      `date` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### executeCommand

    public String executeCommand(String cmd, String param)
    Specified by:
      `executeCommand` in interface `ru.bitel.bgbilling.kernel.application.server.CommandListener`

  - ### getCommandsHelp

    public String getCommandsHelp()
    Specified by:
      `getCommandsHelp` in interface `ru.bitel.bgbilling.kernel.application.server.CommandListener`

  - ### values

    public Iterable<TvAccountRuntime> values()

  - ### list

    public List<TvAccountRuntime> list(int contractId)

  - ### list

    public List<TvAccountRuntime> list(Integer contractId, long millis)